xml-1.3.14: A simple XML library.

Copyright | (c) Galois, Inc. 2007
License | BSD3
Maintainer | Iavor S. Diatchki <diatchki@galois.com>
Stability | provisional
Portability | portability
Safe Haskell | Safe
Language | Haskell98

Text.XML.Light

Description

A lightweight XML parsing, filtering and generating library.

This module reexports functions from:

- Text.XML.Light.Types
- Text.XML.Light.Proc
- Text.XML.Light.Input
- Text.XML.Light.Output

Synopsis

- add_attr :: Attr -> Element -> Element
- add_attrs :: [Attr] -> Element -> Element
- unqual :: String -> QName
- class Node t where
  - node :: QName -> t -> Element
- unode :: Node t => String -> t -> Element
- module Text.XML.Light.Types
- module Text.XML.Light.Proc
- module Text.XML.Light.Input
- module Text.XML.Light.Output

# Documentation

add_attr :: Attr -> Element -> Element Source

Add an attribute to an element.

add_attrs :: [Attr] -> Element -> Element Source

Add some attributes to an element.

unqual :: String -> QName Source

Create an unqualified name.

class Node t where Source

A smart element constructor which uses the type of its argument to determine what sort of element to make.

Methods

node :: QName -> t -> Element Source

Instances

Node () Source |
Node CData Source |
Node Attr Source |
Node Element Source |
Node Content Source |
Node [Char] Source |
Node [CData] Source |
Node [Attr] Source |
Node [Element] Source |
Node [Content] Source |
Node ([Attr], [CData]) Source |
Node ([Attr], [Element]) Source |
Node ([Attr], [Content]) Source |
Node ([Attr], String) Source |
Node ([Attr], CData) Source |
Node ([Attr], Element) Source |
Node ([Attr], Content) Source |
Node (Attr, String) Source |
Node (Attr, CData) Source |
Node (Attr, Element) Source |
Node (Attr, Content) Source |

unode :: Node t => String -> t -> Element Source

Create node with unqualified name

module Text.XML.Light.Types

module Text.XML.Light.Proc

module Text.XML.Light.Input

module Text.XML.Light.Output